# config file version
apiVersion: 1

providers:
# <string> an unique provider name
- name: My Dashboard
  # <int> org id. will default to orgId 1 if not specified
  org_id: 1
  # <string, required> name of the dashboard folder. Required
  folder: ''
  # <string, required> provider type. Required
  type: 'file'
  # <bool> disable dashboard deletion
  disableDeletion: false
  # <bool> enable dashboard editing
  editable: true
  # <int> how often Grafana will scan for changed dashboards
  updateIntervalSeconds: 5
  # <bool> allow updating provisioned dashboards from the UI
  allowUiUpdates: true
  options:
    # <string, required> path to dashboard files on disk. Required
    path: /etc/grafana/dashboards
    # <bool> use folder names from filesystem to create folders in Grafana
    foldersFromFilesStructure: true
